import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruit = type => ({ type });

const fruits = range(5)
	.map(() => makeFruit('apple'));

const render = () => {
	fruitBowl(svg, {
    fruits,
    height: +svg.attr('height')
  })
}
render();

//eat an apple after a second
setTimeout(() => {
	fruits.pop()
	render();
},1000);

//replacing an apple with a lemon
setTimeout(() => {
	fruits[2].type = 'lemon';
	render();
},2000);






